<mat-toolbar color="primary">
  {{title}}
</mat-toolbar>

<div class="container">
  <div *ngIf="!classificationResults" class="image-uploader">
    <div class="image-selector" *ngIf="!selectedFileUrl"
         appFileDrop
         (filesDropped)="handleDrop($event)"
         (filesHovered)="handleHover($event)"
         [ngClass]="{'active': dropZoneHovered}"
    >
      <div class="dropzone-title">Drag and drop X-Ray scan file</div>
      <button type="button" mat-raised-button (click)="fileInput.click()">or choose a file</button>
      <input hidden (change)="handleDrop($event.target.files[0])" #fileInput type="file" accept="image/*" id="fileInput">
    </div>
    <div class="preview" *ngIf="selectedFileUrl">
      <h2>Selected X-Ray scan:</h2>
      <img [src]="selectedFileUrl" alt="Selected scan preview" class="im-preview" *ngIf="selectedFileUrl">
      <div class="actions">
        <button mat-raised-button color="primary" (click)="classify()" style="margin-right: 5px">Classify</button>
        <button mat-raised-button color="red" (click)="cancel()" style="margin-left: 5px">Cancel</button>
      </div>
    </div>
  </div>
  <app-results (newClassification)="reset()" [classificationResults]="this.classificationResults" *ngIf="classificationResults"></app-results>
</div>
